# Setup

## Launch CoreCtrl on session startup

Execute this command on a terminal:

```bash
cp /usr/share/applications/corectrl.desktop ~/.config/autostart/corectrl.desktop
```

## Don't ask for user password

**CoreCtrl** uses a helper with root privileges to control your system. In order to start the helper, the system will ask you to enter your user password. If you want to avoid being asked every time for your password, you can grant root access to the helper permanently. Just create the file `/etc/polkit-1/rules.d/90-corectrl.rules` with the following contents:

```
polkit.addRule(function(action, subject) {
    if ((action.id == "org.corectrl.helper.init" ||
         action.id == "org.corectrl.helperkiller.init") &&
        subject.local == true &&
        subject.active == true &&
        subject.isInGroup("your-user-group")) {
            return polkit.Result.YES;
    }
});
```

Replace `your-user-group` with your user group name.

## Full AMD GPU controls

Currently, to have full control of your AMD GPU while using the `amdgpu` driver, you need to append the boot parameter `amdgpu.ppfeaturemask=0xffffffff` to your bootloader configuration and reboot.

**NOTE:** The following instructions are for guidance only. Check your distribution documentation on how to add a boot parameter before proceed.

If your system uses **Grub**, edit the file (as root) `/etc/default/grub` and append the parameter to `GRUB_CMDLINE_LINUX_DEFAULT`:

```bash
GRUB_CMDLINE_LINUX_DEFAULT="<other_params>... amdgpu.ppfeaturemask=0xffffffff"
```

Then regenerate (as root) the bootloader configuration file with the command:

```bash
grub-mkconfig -o /boot/grub/grub.cfg
```

Reboot your system.

You should have more controls when you select `Advanced` as `Performance mode`.